Package org.firebirdsql.util

## Class Base64DecoderImpl

- java.lang.Object
- - org.firebirdsql.util.Base64DecoderImpl

All Implemented Interfaces:
  `Base64Decoder`

    public class Base64DecoderImpl
    extends java.lang.Object
    implements Base64Decoder

Java 8 and higher implementation of `Base64Decoder`.

Author:
  Mark Rotteveel

### Constructor Summary

Constructors
`Base64DecoderImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `decodeBase64​(java.lang.String base64)` Decodes a base64 encoded string to a byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Base64DecoderImpl

    public Base64DecoderImpl()

### Method Detail

#### decodeBase64

    public byte[] decodeBase64​(java.lang.String base64)

Description copied from interface: `Base64Decoder`
Decodes a base64 encoded string to a byte array.

Specified by:
  `decodeBase64` in interface `Base64Decoder`
Parameters:
  `base64` - Base64 encoded data
Returns:
  byte array after decoding